# ArtifactView

interface ArtifactView : HasAttributes

A view over the artifacts resolved for this set of dependencies. By default, the view returns all files and artifacts, but this can be restricted by component identifier or by attributes.

#### Since

3.4

#### Inheritors

ResolvableDependencies

## Types

ViewConfiguration
Link copied to clipboard
interface ViewConfiguration : HasConfigurableAttributes<SELF>
Configuration for a defined artifact view.

## Functions

getArtifacts
Link copied to clipboard
abstract fun getArtifacts(): ArtifactCollection
Returns the collection of artifacts matching the requested attributes that are sourced from Components matching the specified filter.
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getFiles
Link copied to clipboard
abstract fun getFiles(): FileCollection
Returns the collection of artifact files matching the requested attributes that are sourced from Components matching the specified filter.